#ifndef MESSAGES_H
#define MESSAGES_H

EXTERN_DEBUG_MESSAGE(ipl_type_mismatch)
EXTERN_DEBUG_MESSAGE(ipl_name_in_use)
EXTERN_DEBUG_MESSAGE(ipl_circular_reference)
EXTERN_DEBUG_MESSAGE(ipl_wrong_colorspace)
EXTERN_DEBUG_MESSAGE(ipl_unknown_toplevel_token)
EXTERN_DEBUG_MESSAGE(ipl_unknown_channel)
EXTERN_DEBUG_MESSAGE(ipl_unknown)
EXTERN_DEBUG_MESSAGE(ipl_operation)
EXTERN_DEBUG_MESSAGE(ipl_incomplete_definition)
EXTERN_DEBUG_MESSAGE(ipl_size_mismatch)
EXTERN_DEBUG_MESSAGE(ipl_3x3_size_required)
EXTERN_DEBUG_MESSAGE(ipl_not_square)
EXTERN_DEBUG_MESSAGE(ipl_domain_mismatch)
EXTERN_DEBUG_MESSAGE(ipl_using_state)
EXTERN_DEBUG_MESSAGE(ipl_null_func_arg)
EXTERN_DEBUG_MESSAGE(ipl_roundoff_too_large)
EXTERN_DEBUG_MESSAGE(ipl_wrong_bounds)
EXTERN_DEBUG_MESSAGE(ipl_wrong_domain)
EXTERN_DEBUG_MESSAGE(ipl_not_powers2)
EXTERN_DEBUG_MESSAGE(ipl_fft_requires_powers2)
EXTERN_DEBUG_MESSAGE(ipl_state_size_unset)
EXTERN_DEBUG_MESSAGE(ipl_state_wh_unset)
EXTERN_DEBUG_MESSAGE(ipl_invalid_operation)
EXTERN_DEBUG_MESSAGE(ipl_not_found)
EXTERN_DEBUG_MESSAGE(ipl_constant_matrix)
EXTERN_DEBUG_MESSAGE(ipl_constant_vector)
EXTERN_DEBUG_MESSAGE(ipl_unbalanced_braces)
EXTERN_DEBUG_MESSAGE(ipl_argument_override)
EXTERN_DEBUG_MESSAGE(ipl_cast_to_integer)

EXTERN_DEBUG_MESSAGE(ipl_unknown_transform)
EXTERN_DEBUG_MESSAGE(ipl_no_such_transform)
EXTERN_DEBUG_MESSAGE(ipl_unable_copy_args)

EXTERN_DEBUG_MESSAGE(ipl_wrong_float_constant)

#endif  /* !MESSAGES_H */
